ENTRY (start)

SECTIONS
{
	. = 0xc0100000;
	kernel_start = .;
	.text : {
		*(.text*) *(.rodata*)
	}
	.init : {
		early_initcalls_start = .;
		*(.earlyinitcalls*)
		early_initcalls_end = .;
		initcalls_start = .;
		*(.driversubsysinitcalls*)
		*(.deviceinitcalls*)
		initcalls_end = .;
		*(.init*)
	}
	.data : {
		*(.data*)
	}
	.bss : {
		*(.bss*) *(COMMON*)
	}
	kernel_end = .;
}
