DIRNAME := arch/arm
SUBDIRS := kernel

include $(BASEDIR)/header.mk

# Architecture-specific definitions
CROSS_COMPILE ?= arm-none-eabi-
ARCH_KLDFLAGS = -L /usr/lib/gcc/arm-none-eabi/4.9.1
ARCH_EXTRA_LIBS = -lgcc

OBJS_$(d) := $(d)/start.o

KOBJS += $(OBJS_$(d))

include $(BASEDIR)/footer.mk

ARCH_QEMU_CMD = qemu-system-arm -m 1024 -M vexpress-a9
