/*
    Copyright (C) 2012, Aaron Lindsay <aaron@aclindsay.com>

    This file is part of Aedrix.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef FONT_H
#define FONT_H

struct font {
	char *data; //should be num_chars*bytes_per_char long, with pixels organized row-major
	unsigned int width, height; //height and width of the actual characters, in pixels/bits
	unsigned int num_chars;
	unsigned int bytes_per_char;
	int ascii_offset; //If the first element in *data is for the 32nd ASCII character, this would be 32
};

struct font* font_get();

#endif /* FONT_H */
