/*
    Copyright (C) 2012, Aaron Lindsay <aaron@aclindsay.com>

    This file is part of Aedrix.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef PROPERTIES_H
#define PROPERTIES_H

extern uint32 kernel_start_phys, kernel_end_phys;
extern uint32 kernel_start, kernel_end;

#define kernel_start_physical() &kernel_start_phys
#define kernel_end_physical()   &kernel_end_phys
#define kernel_start_virtual()  &kernel_start
#define kernel_end_virtual()    &kernel_end

#endif /* PROPERTIES_H */
