/*
    Copyright (C) 2012, Aaron Lindsay <aaron@aclindsay.com>

    This file is part of Aedrix.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#define SEGMENT_SELECTOR_KERNEL_PRIVILEGE  0x0
#define SEGMENT_SELECTOR_KERNEL_CS         (0x10 | SEGMENT_SELECTOR_KERNEL_PRIVILEGE)
#define SEGMENT_SELECTOR_KERNEL_DS         (0x18 | SEGMENT_SELECTOR_KERNEL_PRIVILEGE)
#define SEGMENT_SELECTOR_USER_PRIVILEGE    0x3
#define SEGMENT_SELECTOR_USER_CS           (0x20 | SEGMENT_SELECTOR_USER_PRIVILEGE)
#define SEGMENT_SELECTOR_USER_DS           (0x28 | SEGMENT_SELECTOR_USER_PRIVILEGE)
