ENTRY (start)

SECTIONS
{
	. = 0xc0100000;
	kernel_start = .;
	kernel_start_phys = . - 0xc0000000;
	.text ALIGN(0x1000) : AT(ADDR(.text) - 0xc0000000) {
		*(.text*) *(.rodata*)
	}
	.init : AT(ADDR(.init) - 0xc0000000) {
		early_initcalls_start = .;
		*(.earlyinitcalls*)
		early_initcalls_end = .;
		initcalls_start = .;
		*(.driversubsysinitcalls*)
		*(.deviceinitcalls*)
		initcalls_end = .;
		*(.init*)
	}
	.data ALIGN(0x1000) : AT(ADDR(.data) - 0xc0000000) {
		*(.data*)
	}
	.bss : AT(ADDR(.bss) - 0xc0000000) {
		*(.bss*) *(COMMON*)
	}
	kernel_end = .;
	kernel_end_phys = . - 0xc0000000;
}
