/*
    Copyright (C) 2012, Aaron Lindsay <aaron@aclindsay.com>

    This file is part of Aedrix.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <list.h>
#include <framebuffer.h>

#ifndef FB_H
#define FB_H

struct fb_dev {
	//TODO add more functions and attributes here
	char *name;
	int (*init)(struct fb *, unsigned int);
	struct dlist_node list;
};

int fb_register_device(struct fb_dev *sdev);
struct fb_dev *fb_first_device();

#endif /* FB_H */
